NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback

## 4.1. Device Structs

### Classes

struct
nvmlBAR1Memory_t
struct
nvmlBridgeChipHierarchy_t
struct
nvmlBridgeChipInfo_t
struct
nvmlEccErrorCounts_t
struct
nvmlMemory_t
struct
nvmlPciInfo_t
struct
nvmlProcessInfo_t
struct
nvmlUtilization_t

### Defines

#define NVML_DEVICE_PCI_BUS_ID_BUFFER_SIZE 16
#define NVML_MAX_PHYSICAL_BRIDGE (128)
#define NVML_VALUE_NOT_AVAILABLE (-1)

### Enumerations

enum nvmlBridgeChipType_t

### Defines

#define NVML_DEVICE_PCI_BUS_ID_BUFFER_SIZE 16

  Buffer size guaranteed to be large enough for pci bus id

#define NVML_MAX_PHYSICAL_BRIDGE (128)

  Maximum limit on Physical Bridges per Board

#define NVML_VALUE_NOT_AVAILABLE (-1)

  Special constant that some fields take when they are not available. Used when only part of the struct is not available.

  Each structure explicitly states when to check for this value.

### Enumerations

enum nvmlBridgeChipType_t

  Enum to represent type of bridge chip

  ###### Values

  NVML_BRIDGE_CHIP_PLX = 0
  NVML_BRIDGE_CHIP_BRO4 = 1

NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback